<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/CalorimeterHitCollection.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CalorimeterHitCollection.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_calorimeter_hit_collection_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_collection_8h.html">eicd/CalorimeterHitCollection.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_calorimeter_hit_collection_8h.html">eicd/RawCalorimeterHitCollection.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// standard includes</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#ab979417cb24ac989be2642ba6d1a2293">   14</a></span>&#160;<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#ab979417cb24ac989be2642ba6d1a2293">CalorimeterHitCollection::CalorimeterHitCollection</a>() :</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  m_isValid(false), m_collectionID(0), m_entries(),</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  m_rel_rawHit(new std::vector&lt;<a class="code" href="namespaceeic.html">eic</a>::<a class="code" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a>&gt;()),</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_data(new <a class="code" href="namespaceeic.html#acf5c8bc4445343ee1c13d15680474649">CalorimeterHitDataContainer</a>()) {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  m_refCollections.push_back(<span class="keyword">new</span> std::vector&lt;podio::ObjectID&gt;());</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a2b4590e65e8723f02c413ab0cff6a628">   21</a></span>&#160;<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a2b4590e65e8723f02c413ab0cff6a628">CalorimeterHitCollection::~CalorimeterHitCollection</a>() {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a0bdf549fc4d4b24facc647f686ca1d3e">clear</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { <span class="keywordflow">if</span> (pointer) <span class="keyword">delete</span> pointer; }</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <span class="keywordflow">if</span> (m_rel_rawHit) <span class="keyword">delete</span> m_rel_rawHit;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a68daafd3da3d85045b45b7641f236c91">   28</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a68daafd3da3d85045b45b7641f236c91">CalorimeterHitCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>(m_entries[index]);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#acfc71316f3e7d7e5bdf653d5f729f42f">   32</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#acfc71316f3e7d7e5bdf653d5f729f42f">CalorimeterHitCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>(m_entries.at(index));</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a202ae798a96de80b3b41292337b0490b">   36</a></span>&#160;<a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a68daafd3da3d85045b45b7641f236c91">CalorimeterHitCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>(m_entries[index]);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;}</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a707d3d782f0fe3b943e1f6d27f7640a8">   40</a></span>&#160;<a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#acfc71316f3e7d7e5bdf653d5f729f42f">CalorimeterHitCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>(m_entries.at(index));</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">   44</a></span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">CalorimeterHitCollection::size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keywordflow">return</span> m_entries.size();</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a64d87cf5a7c70eb2f163cc41c8bdaf0f">   48</a></span>&#160;<a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a64d87cf5a7c70eb2f163cc41c8bdaf0f">CalorimeterHitCollection::create</a>() {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <span class="keyword">auto</span> obj = m_entries.emplace_back(<span class="keyword">new</span> <a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>());</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  obj-&gt;id = {int(m_entries.size() - 1), m_collectionID};</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>(obj);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a0bdf549fc4d4b24facc647f686ca1d3e">   55</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a0bdf549fc4d4b24facc647f686ca1d3e">CalorimeterHitCollection::clear</a>() {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  m_data-&gt;clear();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; item : (*m_rel_rawHit)) { item.unlink(); }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  m_rel_rawHit-&gt;clear();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { <span class="keyword">delete</span> obj; }</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  m_entries.clear();</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;}</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a008e31afc097e1a06161c9afc39b5099">   65</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a008e31afc097e1a06161c9afc39b5099">CalorimeterHitCollection::prepareForWrite</a>() {</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">size</a> = m_entries.size();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  m_data-&gt;reserve(<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">size</a>);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { m_data-&gt;push_back(obj-&gt;data); }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordflow">if</span> (obj-&gt;m_rawHit) {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;      m_refCollections[0]-&gt;emplace_back(obj-&gt;m_rawHit-&gt;getObjectID());</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;       m_refCollections[0]-&gt;push_back({podio::ObjectID::invalid, podio::ObjectID::invalid});</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  }</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a11c3ec02c18bb48e4b10eb83e092b505">   82</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a11c3ec02c18bb48e4b10eb83e092b505">CalorimeterHitCollection::prepareAfterRead</a>() {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keywordtype">int</span> index = 0;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; data : *m_data) {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>({index, m_collectionID}, data);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    m_entries.emplace_back(obj);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    ++index;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  m_isValid = <span class="keyword">true</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a3536487c722584908d1332d425550050">   93</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3536487c722584908d1332d425550050">CalorimeterHitCollection::setReferences</a>(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider) {</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i = 0, <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">size</a> = m_entries.size(); i != <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">size</a>; ++i) {</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">const</span> <span class="keyword">auto</span> <span class="keywordtype">id</span> = (*m_refCollections[0])[i];</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordflow">if</span> (<span class="keywordtype">id</span>.index != podio::ObjectID::invalid) {</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        CollectionBase* coll = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;      collectionProvider-&gt;get(<span class="keywordtype">id</span>.collectionID, coll);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;      <a class="code" href="classeic_1_1_raw_calorimeter_hit_collection.html">eic::RawCalorimeterHitCollection</a>* tmp_coll = <span class="keyword">static_cast&lt;</span><a class="code" href="classeic_1_1_raw_calorimeter_hit_collection.html">eic::RawCalorimeterHitCollection</a>*<span class="keyword">&gt;</span>(coll);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;      m_entries[i]-&gt;m_rawHit = <span class="keyword">new</span> <a class="code" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a>((*tmp_coll)[<span class="keywordtype">id</span>.index]);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;      m_entries[i]-&gt;m_rawHit = <span class="keyword">nullptr</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    }</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  }</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">true</span>; <span class="comment">//TODO: check success</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#ac2bc8290fdf81b47683033c9f5593806">  110</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#ac2bc8290fdf81b47683033c9f5593806">CalorimeterHitCollection::push_back</a>(<a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> <span class="keywordtype">object</span>) {</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">size</a> = m_entries.size();</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keyword">auto</span> obj = <span class="keywordtype">object</span>.m_obj;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  <span class="keywordflow">if</span> (obj-&gt;id.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    obj-&gt;id = {<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">size</a>, m_collectionID};</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    m_entries.push_back(obj);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">throw</span> std::invalid_argument(<span class="stringliteral">&quot;Object already in a collection. Cannot add it to a second collection&quot;</span>);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  }</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;}</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#ada15ffec0bbc05ae26a9be5a4c4d8505">  122</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#ada15ffec0bbc05ae26a9be5a4c4d8505">CalorimeterHitCollection::setBuffer</a>(<span class="keywordtype">void</span>* address) {</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  m_data = <span class="keyword">static_cast&lt;</span><a class="code" href="namespaceeic.html#acf5c8bc4445343ee1c13d15680474649">CalorimeterHitDataContainer</a>*<span class="keyword">&gt;</span>(address);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection_iterator.html#aa80c97ffaf5457fa85dcb8e41ddb1708">  127</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#aa80c97ffaf5457fa85dcb8e41ddb1708">CalorimeterHitCollectionIterator::operator*</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keywordflow">return</span> m_object;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;}</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection_iterator.html#ae001b82e150d39e301ef5f18a2d8b33f">  132</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>* <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#ae001b82e150d39e301ef5f18a2d8b33f">CalorimeterHitCollectionIterator::operator-&gt;</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  <span class="keywordflow">return</span> &amp;m_object;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;}</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection_iterator.html#a67f3679349825a06cb41333dcaa47b6e">  137</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">CalorimeterHitCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#a67f3679349825a06cb41333dcaa47b6e">CalorimeterHitCollectionIterator::operator++</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  ++m_index;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;}</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="namespaceeic.html#ae8be92fa74894e655ffcf28be179d99d">  142</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a>&amp; v) {</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> old_flags = o.flags();</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot;          id:     cellID0:     cellID1:      energy:        time:                 position [ x, y, z]:        type:&quot;</span> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; v.<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">size</a>(); ++i) {</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    o &lt;&lt; std::scientific &lt;&lt; std::showpos &lt;&lt; std::setw(12) &lt;&lt; v[i].id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a95b3cb5126be3e6f4525cb717a16ff76">cellID0</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#abbe1afa7420e77bedb5fc43636919189">cellID1</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#acba4fccde8ae078e17e6abb9b591e1cc">energy</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a655ab9a0efc97a300021678f0728460d">time</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a1da0eadb1635926dd850a1d295dc27db">position</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a8cdaccbd8ef7d83dd6e437ce07bf6e79">type</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;      &lt;&lt; std::endl;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    o &lt;&lt; <span class="stringliteral">&quot;      rawHit : &quot;</span>;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    o &lt;&lt; v[i].rawHit().id() &lt;&lt; std::endl;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;  }</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  o.flags(old_flags);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;}</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div><div class="ttc" id="namespaceeic_html_acf5c8bc4445343ee1c13d15680474649"><div class="ttname"><a href="namespaceeic.html#acf5c8bc4445343ee1c13d15680474649">eic::CalorimeterHitDataContainer</a></div><div class="ttdeci">std::vector&lt; CalorimeterHitData &gt; CalorimeterHitDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00026">CalorimeterHitCollection.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_abbe1afa7420e77bedb5fc43636919189"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#abbe1afa7420e77bedb5fc43636919189">eic::CalorimeterHitCollection::cellID1</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID1() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00179">CalorimeterHitCollection.h:179</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a64d87cf5a7c70eb2f163cc41c8bdaf0f"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a64d87cf5a7c70eb2f163cc41c8bdaf0f">eic::CalorimeterHitCollection::create</a></div><div class="ttdeci">CalorimeterHit create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00048">CalorimeterHitCollection.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a68daafd3da3d85045b45b7641f236c91"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a68daafd3da3d85045b45b7641f236c91">eic::CalorimeterHitCollection::operator[]</a></div><div class="ttdeci">const CalorimeterHit operator[](unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00028">CalorimeterHitCollection.cc:28</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00029">CalorimeterHitConst.h:29</a></div></div>
<div class="ttc" id="_raw_calorimeter_hit_collection_8h_html"><div class="ttname"><a href="_raw_calorimeter_hit_collection_8h.html">RawCalorimeterHitCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_ac2bc8290fdf81b47683033c9f5593806"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#ac2bc8290fdf81b47683033c9f5593806">eic::CalorimeterHitCollection::push_back</a></div><div class="ttdeci">void push_back(ConstCalorimeterHit object)</div><div class="ttdoc">Append object to the collection. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00110">CalorimeterHitCollection.cc:110</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit.html">eic::CalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8h_source.html#l00031">CalorimeterHit.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a95b3cb5126be3e6f4525cb717a16ff76"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a95b3cb5126be3e6f4525cb717a16ff76">eic::CalorimeterHitCollection::cellID0</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID0() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00169">CalorimeterHitCollection.h:169</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a11c3ec02c18bb48e4b10eb83e092b505"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a11c3ec02c18bb48e4b10eb83e092b505">eic::CalorimeterHitCollection::prepareAfterRead</a></div><div class="ttdeci">void prepareAfterRead() override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00082">CalorimeterHitCollection.cc:82</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_ada15ffec0bbc05ae26a9be5a4c4d8505"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#ada15ffec0bbc05ae26a9be5a4c4d8505">eic::CalorimeterHitCollection::setBuffer</a></div><div class="ttdeci">void setBuffer(void *address) override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00122">CalorimeterHitCollection.cc:122</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_acfc71316f3e7d7e5bdf653d5f729f42f"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#acfc71316f3e7d7e5bdf653d5f729f42f">eic::CalorimeterHitCollection::at</a></div><div class="ttdeci">const CalorimeterHit at(unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00032">CalorimeterHitCollection.cc:32</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a008e31afc097e1a06161c9afc39b5099"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a008e31afc097e1a06161c9afc39b5099">eic::CalorimeterHitCollection::prepareForWrite</a></div><div class="ttdeci">void prepareForWrite() override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00065">CalorimeterHitCollection.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html">eic::CalorimeterHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00029">CalorimeterHitCollection.h:29</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_aa80c97ffaf5457fa85dcb8e41ddb1708"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#aa80c97ffaf5457fa85dcb8e41ddb1708">eic::CalorimeterHitCollectionIterator::operator*</a></div><div class="ttdeci">const CalorimeterHit operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00127">CalorimeterHitCollection.cc:127</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html">eic::CalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00050">CalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html">eic::CalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8h_source.html#l00022">CalorimeterHitObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_raw_calorimeter_hit.html">eic::ConstRawCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_const_8h_source.html#l00023">RawCalorimeterHitConst.h:23</a></div></div>
<div class="ttc" id="_calorimeter_hit_collection_8h_html"><div class="ttname"><a href="_calorimeter_hit_collection_8h.html">CalorimeterHitCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a1da0eadb1635926dd850a1d295dc27db"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a1da0eadb1635926dd850a1d295dc27db">eic::CalorimeterHitCollection::position</a></div><div class="ttdeci">const std::array&lt; eic::VectorXYZ, arraysize &gt; position() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00209">CalorimeterHitCollection.h:209</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_ae001b82e150d39e301ef5f18a2d8b33f"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#ae001b82e150d39e301ef5f18a2d8b33f">eic::CalorimeterHitCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const CalorimeterHit * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00132">CalorimeterHitCollection.cc:132</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit_collection.html">eic::RawCalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_collection_8h_source.html#l00050">RawCalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a3a841d3d5f57456b5ccdcc7e4d37b911"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a3a841d3d5f57456b5ccdcc7e4d37b911">eic::CalorimeterHitCollection::size</a></div><div class="ttdeci">size_t size() const override final</div><div class="ttdoc">number of elements in the collection </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00044">CalorimeterHitCollection.cc:44</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_acba4fccde8ae078e17e6abb9b591e1cc"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#acba4fccde8ae078e17e6abb9b591e1cc">eic::CalorimeterHitCollection::energy</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; energy() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00189">CalorimeterHitCollection.h:189</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_ab979417cb24ac989be2642ba6d1a2293"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#ab979417cb24ac989be2642ba6d1a2293">eic::CalorimeterHitCollection::CalorimeterHitCollection</a></div><div class="ttdeci">CalorimeterHitCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00014">CalorimeterHitCollection.cc:14</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a2b4590e65e8723f02c413ab0cff6a628"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a2b4590e65e8723f02c413ab0cff6a628">eic::CalorimeterHitCollection::~CalorimeterHitCollection</a></div><div class="ttdeci">~CalorimeterHitCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00021">CalorimeterHitCollection.cc:21</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a0bdf549fc4d4b24facc647f686ca1d3e"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a0bdf549fc4d4b24facc647f686ca1d3e">eic::CalorimeterHitCollection::clear</a></div><div class="ttdeci">void clear() override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00055">CalorimeterHitCollection.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a3536487c722584908d1332d425550050"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a3536487c722584908d1332d425550050">eic::CalorimeterHitCollection::setReferences</a></div><div class="ttdeci">bool setReferences(const podio::ICollectionProvider *collectionProvider) override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00093">CalorimeterHitCollection.cc:93</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a655ab9a0efc97a300021678f0728460d"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a655ab9a0efc97a300021678f0728460d">eic::CalorimeterHitCollection::time</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; time() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00199">CalorimeterHitCollection.h:199</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a8cdaccbd8ef7d83dd6e437ce07bf6e79"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a8cdaccbd8ef7d83dd6e437ce07bf6e79">eic::CalorimeterHitCollection::type</a></div><div class="ttdeci">const std::array&lt; int, arraysize &gt; type() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00219">CalorimeterHitCollection.h:219</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_a67f3679349825a06cb41333dcaa47b6e"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#a67f3679349825a06cb41333dcaa47b6e">eic::CalorimeterHitCollectionIterator::operator++</a></div><div class="ttdeci">const CalorimeterHitCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00137">CalorimeterHitCollection.cc:137</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
